uicc.access

## Class UICCException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javacard.framework.CardRuntimeException
        - - uicc.access.UICCException

- All Implemented Interfaces:
    java.io.Serializable

      public class UICCException
      extends javacard.framework.CardRuntimeException

  The `UICCViewException class` encapsulates specific exceptions which can be thrown by the methods of an object that implements a UICCView interface, in case of error.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `COMMAND_INCOMPATIBLE` This reason code (= 2) is used to indicate that the method is not compatible with the selected file.
    `static short` | `COMMAND_NOT_ALLOWED` This reason code (= 11) is used to indicate that the method was applied on a file in state terminated..
    `static short` | `CONDITIONS_OF_USE_NOT_SATISFIED` This reason code (= 14) is used to indicate to the calling applet that the conditions of use are not satisfied.
    `static short` | `FILE_NOT_FOUND` This reason code (= 4) is used to indicate to the calling applet that the file was not found in the current directory.
    `static short` | `INTERNAL_ERROR` This reason code (= 5) is used to indicate to the calling applet that an Internal error happened during the called method.
    `static short` | `INVALID_MODE` This reason code (= 10) is used to indicate to the calling applet that the mode for an operation on a record based file or on a BER-TLV file is invalid.
    `static short` | `INVALID_TAG_VALUE` This reason code (=18) is used to indicate to the calling applet that the TAG value is invalid.
    `static short` | `MAX_VALUE_REACHED` This reason code (= 12) is used to indicate that method increase can not be performed as the maximum value of the record is reached.
    `static short` | `MEMORY_PROBLEM` This reason code (= 13) is used to indicate that a memory problem occured.
    `static short` | `NO_EF_SELECTED` This reason code (= 1) is used to indicate that no EF is selected to complete the called method.
    `static short` | `NOT_ENOUGH_MEMORY_SPACE` This reason code (=17) is used to indicate to the calling applet that the requested memory is not available.
    `static short` | `OUT_OF_DATA_BOUNDARIES` This reason code (=16) is used to indicate to the calling applet that the length passed to the called method is out of the data boundaries.
    `static short` | `OUT_OF_FILE_BOUNDARIES` This reason code (= 7) is used to indicate that either the length, the file offset or both passed to the called method are out of the current file boundaries.
    `static short` | `OUT_OF_RECORD_BOUNDARIES` This reason code (= 8) is used to indicate that either the length, the record offset or both passed to the called method are out of the current record boundaries.
    `static short` | `RECORD_NOT_FOUND` This reason code (= 9) is used to indicate to the calling applet that no record was found.
    `static short` | `REF_DATA_INVALIDATED` This reason code (=6) is used to indicate to the calling applet that the referenced data are invalidated
    `static short` | `REFERENCED_DATA_NOT_FOUND` This reason code (=15) is used to indicate to the calling applet that the referenced data cannot be found.
    `static short` | `SECURITY_STATUS_NOT_SATISFIED` This reason code (= 3) is used to indicate that access conditions are not satisfied.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UICCException(short reason)` Constructs a UICCViewException with the specified reason.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `throwIt(short reason)` Throws the JCRE instance of UICCViewException with the specified reason.

    - ### Methods inherited from class javacard.framework.CardRuntimeException

      `getReason, setReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_EF_SELECTED

          public static final short NO_EF_SELECTED

      This reason code (= 1) is used to indicate that no EF is selected to complete the called method.
      See Also:
        Constant Field Values

    - #### FILE_NOT_FOUND

          public static final short FILE_NOT_FOUND

      This reason code (= 4) is used to indicate to the calling applet that the file was not found in the current directory.
      See Also:
        Constant Field Values

    - #### RECORD_NOT_FOUND

          public static final short RECORD_NOT_FOUND

      This reason code (= 9) is used to indicate to the calling applet that no record was found.
      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final short INTERNAL_ERROR

      This reason code (= 5) is used to indicate to the calling applet that an Internal error happened during the called method.
      See Also:
        Constant Field Values

    - #### INVALID_MODE

          public static final short INVALID_MODE

      This reason code (= 10) is used to indicate to the calling applet that the mode for an operation on a record based file or on a BER-TLV file is invalid.
      See Also:
        Constant Field Values

    - #### OUT_OF_FILE_BOUNDARIES

          public static final short OUT_OF_FILE_BOUNDARIES

      This reason code (= 7) is used to indicate that either the length, the file offset or both passed to the called method are out of the current file boundaries.
      See Also:
        Constant Field Values

    - #### MAX_VALUE_REACHED

          public static final short MAX_VALUE_REACHED

      This reason code (= 12) is used to indicate that method increase can not be performed as the maximum value of the record is reached.
      See Also:
        Constant Field Values

    - #### MEMORY_PROBLEM

          public static final short MEMORY_PROBLEM

      This reason code (= 13) is used to indicate that a memory problem occured.
      See Also:
        Constant Field Values

    - #### SECURITY_STATUS_NOT_SATISFIED

          public static final short SECURITY_STATUS_NOT_SATISFIED

      This reason code (= 3) is used to indicate that access conditions are not satisfied.
      See Also:
        Constant Field Values

    - #### COMMAND_INCOMPATIBLE

          public static final short COMMAND_INCOMPATIBLE

      This reason code (= 2) is used to indicate that the method is not compatible with the selected file.
      See Also:
        Constant Field Values

    - #### OUT_OF_RECORD_BOUNDARIES

          public static final short OUT_OF_RECORD_BOUNDARIES

      This reason code (= 8) is used to indicate that either the length, the record offset or both passed to the called method are out of the current record boundaries.
      See Also:
        Constant Field Values

    - #### REF_DATA_INVALIDATED

          public static final short REF_DATA_INVALIDATED

      This reason code (=6) is used to indicate to the calling applet that the referenced data are invalidated
      See Also:
        Constant Field Values

    - #### COMMAND_NOT_ALLOWED

          public static final short COMMAND_NOT_ALLOWED

      This reason code (= 11) is used to indicate that the method was applied on a file in state terminated..
      See Also:
        Constant Field Values

    - #### CONDITIONS_OF_USE_NOT_SATISFIED

          public static final short CONDITIONS_OF_USE_NOT_SATISFIED

      This reason code (= 14) is used to indicate to the calling applet that the conditions of use are not satisfied.
      See Also:
        Constant Field Values

    - #### REFERENCED_DATA_NOT_FOUND

          public static final short REFERENCED_DATA_NOT_FOUND

      This reason code (=15) is used to indicate to the calling applet that the referenced data cannot be found.
      See Also:
        Constant Field Values

    - #### OUT_OF_DATA_BOUNDARIES

          public static final short OUT_OF_DATA_BOUNDARIES

      This reason code (=16) is used to indicate to the calling applet that the length passed to the called method is out of the data boundaries.
      See Also:
        Constant Field Values

    - #### NOT_ENOUGH_MEMORY_SPACE

          public static final short NOT_ENOUGH_MEMORY_SPACE

      This reason code (=17) is used to indicate to the calling applet that the requested memory is not available.
      See Also:
        Constant Field Values

    - #### INVALID_TAG_VALUE

          public static final short INVALID_TAG_VALUE

      This reason code (=18) is used to indicate to the calling applet that the TAG value is invalid.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UICCException

          public UICCException(short reason)

      Constructs a UICCViewException with the specified reason. To conserve on resources use `throwIt()` to use the JCRE instance of this class.
      Parameters:
        `reason` - the reason for the exception

  - ### Method Detail

    - #### throwIt

          public static void throwIt(short reason)
                              throws UICCException

      Throws the JCRE instance of UICCViewException with the specified reason.
      Parameters:
        `reason` - is the reason for the exception
      Throws:
        `UICCException` - always